| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::CurvesSettings Class Reference
Inheritance diagram for Digikam::CurvesSettings:

## Public Slots
void | slotSpotColorChanged (const Digikam::DColor &color)

## Signals
void | signalChannelReset (int)
void | signalPickerChanged (int)
void | signalSettingsChanged ()
void | signalSpotColorChanged ()

## Public Member Functions
| CurvesSettings (QWidget *const parent, DImg *const img)
int | curvesLeftOffset () const
CurvesContainer | defaultSettings () const
void | loadSettings ()
void | readSettings (KConfigGroup &group)
void | resetToDefault ()
void | saveAsSettings ()
void | setCurrentChannel (ChannelType channel)
void | setCurveGuide (const DColor &color)
void | setScale (HistogramScale type)
void | setSettings (const CurvesContainer &settings)
CurvesContainer | settings () const
void | writeSettings (KConfigGroup &group)